#' Two-step kernel ridge regression for network analysis
#'
#' This package implements the two-step kernel ridge regression model, a
#' supervised network prediction method that can be used for all kinds of network
#' analyses. Examples are protein-protein interaction, foodwebs, ...
#'
#' @seealso Send your bug reports to:
#'
#' \url{https://github.com/CenterForStatistics-UGent/xnet/issues}
#'
#' More background in the paper by Stock et al, 2018:
#'
#' \url{http://doi.org/10.1093/bib/bby095}
#'
#' @author Joris Meys and Michiel Stock
#'
#' @import methods
"_PACKAGE"
